%bcond_without docs
%global sname barbicanclient

Summary:        Client Library for OpenStack Barbican Key Management API
Name:           python-barbicanclient
Version:        5.4.0
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-barbicanclient
Source0:        https://opendev.org/openstack/python-barbicanclient/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  git-core

BuildArch:      noarch


%description
This is a client for the Barbican Key Management API. There is a \
Python library for accessing the API (barbicanclient module), and \
a command-line script (barbican).

%package -n python3-%{sname}
Summary:        Client Library for OpenStack Barbican Key Management API

BuildRequires:  python3-devel python3-pbr python3-setuptools
Requires:       python3-requests >= 2.14.2 python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-serialization >= 2.18.0 python3-oslo-utils >= 3.33.0
Requires:       python3-prettytable python3-keystoneauth1 >= 3.4.0
Requires:       python3-pbr >= 2.0.0 python3-cliff >= 2.8.0

Provides: python3-%{sname}

%description -n python3-%{sname}
This is a client for the Barbican Key Management API. There is a \
Python library for accessing the API (barbicanclient module), and \
a command-line script (barbican).



%if %{with docs}
%package -n python-%{sname}-doc
Summary:        Documentation for OpenStack Barbican API client

BuildRequires:  python3-sphinx python3-sphinxcontrib-svg2pdfconverter
BuildRequires:  python3-openstackdocstheme python3-oslo-utils
BuildRequires:  python3-oslo-i18n python3-prettytable

%description -n python-%{sname}-doc
Documentation for the barbicanclient module
%endif

%prep
%autosetup -n %{name}-%{version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py
rm -rf {test-,}requirements.txt

%build
%py3_build

%if %{with docs}
sphinx-build -b html doc/source doc/build/html
rm -fr doc/build/html/.buildinfo
%endif

%install
%py3_install
ln -s ./barbican %{buildroot}%{_bindir}/barbican-3

%files -n python3-%{sname}
%license LICENSE
%doc AUTHORS CONTRIBUTING.rst README.rst PKG-INFO ChangeLog
%{_bindir}/barbican
%{_bindir}/barbican-3
%{python3_sitelib}/barbicanclient
%{python3_sitelib}/python_barbicanclient-%{version}-py%{python3_version}.egg-info

%if %{with docs}
%files -n python-%{sname}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-6
- Rebuilt for loongarch release

* Sun Oct 08 2023 cunshunxia <cunshunxia@tencent.com> - 5.4.0-5
- fix sphinx build error.

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Feng Weiyao <wynnfeng@tencent.com> - 5.4.0-1
- initial build
